<?php

$video = array
(
	1 => '显示',
	2 => '不显示',
);

return array
(
	# 表名
	'name' => 'config',
	# 显示给用户看的名称
	'lang' => '基本配置',
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '系统ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'hr1'		=> array
		(
			'name' 		=> '通用设置',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '站点名称-用于显示网站的title',
			'default' 	=> '',
			'desc' 		=> '请输入站点名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'keywords'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '站点关键词-多个用逗号隔开',
			'default' 	=> '',
			'desc' 		=> '站点关键词',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),
		
		'info'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '站点介绍-展示网站的介绍',
			'default' 	=> '',
			'desc' 		=> '请输入站点介绍',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'logo'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '站点logo-图片尺寸530*200px或等比尺寸，上传大小不能超过2M，支持JPG、PNG、GIF格式，建议上传JPG格式',
			'default' 	=> '',
			'desc' 		=> '站点logo',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '530*200',
		),

		'logo_black'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '站点黑夜logo-图片尺寸530*200px或等比尺寸，上传大小不能超过2M，支持JPG、PNG、GIF格式，建议上传JPG格式',
			'default' 	=> '',
			'desc' 		=> '站点logo',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '530*200',
		),

		'beian'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '备案介绍',
			'default' 	=> '',
			'desc' 		=> '备案介绍',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'xnr_pic'       => array
        (
            'type'      => 'varchar-150',
            'name'      => '虚拟人封面图-图片尺寸595*330px或等比尺寸，上传大小不能超过2M，支持JPG、PNG、GIF格式，建议上传JPG格式',
            'default'   => '',
            'desc'      => '虚拟人封面图',
            'match'     => 'is_string',
            'update'    => 'image',
            'key'       => '1',
            'place'     => '595*330',
        ),

        'zwz_pic'       => array
        (
            'type'      => 'varchar-150',
            'name'      => '造物主封面图-图片尺寸595*330px或等比尺寸，上传大小不能超过2M，支持JPG、PNG、GIF格式，建议上传JPG格式',
            'default'   => '',
            'desc'      => '造物主封面图',
            'match'     => 'is_string',
            'update'    => 'image',
            'key'       => '1',
            'place'     => '595*330',
        ),

		'weibo'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '微博地址-输入微博的地址',
			'default' 	=> '',
			'desc' 		=> '请输入微博地址',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),

		'weixin_qrcode'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '微信二维码-图片尺寸250*250px或等比尺寸，上传大小不能超过2M，支持JPG、PNG、GIF格式，建议上传JPG格式',
			'default' 	=> '',
			'desc' 		=> '微信二维码',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '250*250',
		),
		/*
		'email'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '联系邮箱',
			'default' 	=> '',
			'desc' 		=> '联系邮箱',
			'match' 	=> 'option',
			'update'	=> 'text',
		),
		*/

		'douyin'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '抖音账号',
			'default' 	=> '',
			'desc' 		=> '抖音账号',
			'match' 	=> 'option',
			//'update'	=> 'text',
		),

		'douyin_qrcode'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '抖音二维码',
			'default' 	=> '',
			'desc' 		=> '抖音二维码',
			'match' 	=> 'option',
			//'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'bilibili'		=> array
		(
			'type' 		=> 'varchar-600',
			'name' 		=> 'B站地址',
			'default' 	=> '',
			'desc' 		=> 'B站地址',
			'match' 	=> 'option',
			//'update'	=> 'text',
		),

		'ins'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> 'INS账号',
			'default' 	=> '',
			'desc' 		=> 'INS账号',
			'match' 	=> 'option',
			//'update'	=> 'text',
		),

		'ins_link'       => array
        (
            'type'      => 'varchar-600',
            'name'      => 'INS链接',
            'default'   => '',
            'desc'      => 'INS链接',
            'match'     => 'option',
            //'update'    => 'text',
        ),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'default' => array
	(
		'col' => 'name,keywords, info,cdate',
		'value' => array
		(
			'"虚拟人社区","虚拟人,社区", "虚拟人社区",' . time(),
		),
	),

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
